Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.ml.data.temporal
Class TemporalPoint

    java.lang.Object
      org.encog.ml.data.temporal.TemporalPoint

All Implemented Interfaces:
  Comparable<TemporalPoint>

Direct Known Subclasses:
  MarketPoint

    public class TemporalPoint

extends Object
implements Comparable<TemporalPoint>

A temporal point is all of the data captured at one point in time to be used for prediction. One or more data items might be captured at this point. The TemporalDataDescription class is used to describe each of these data items captured at each point.

Author:
  jheaton

Constructor Summary
`TemporalPoint(int size)` Construct a temporal point of the specified size.

Method Summary
`int` | `compareTo(TemporalPoint that)`
`double[]` | `getData()`
`double` | `getData(int index)` Get the data at the specified index.
`int` | `getSequence()`
`void` | `setData(double[] data)`
`void` | `setData(int index, double d)` Set the data at the specified index.
`void` | `setSequence(int sequence)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TemporalPoint

    public TemporalPoint(int size)

  Construct a temporal point of the specified size.

  Parameters:
    `size` - The size to create the temporal point for.

Method Detail

### compareTo

    public int compareTo(TemporalPoint that)

  Specified by:
    `compareTo` in interface `Comparable<TemporalPoint>`

### getData

    public double[] getData()

  Returns:
    the data

### getData

    public double getData(int index)

  Get the data at the specified index.

  Parameters:
    `index` - The index to get the data at.
  Returns:
    The data at the specified index.

### getSequence

    public int getSequence()

  Returns:
    The sequence for this point.

### setData

    public void setData(double[] data)

  Parameters:
    `data` - the data to set

### setData

    public void setData(int index,
                        double d)

  Set the data at the specified index.

  Parameters:
    `index` - The index to set the data at.
    `d` - The data to set.

### setSequence

    public void setSequence(int sequence)

  Parameters:
    `sequence` - the sequence to set

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.